--- title: "Keyword Extraction" url: https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/text-analytics/keyword-extraction/ description: "This API enables you to perform Keyword Extraction on a block of text to extract the highlights in it, in the form of keywords and keyphrases." last_updated: 2026-08-17T12:16:04Z service: Zia Services type: api --- # Keyword Extraction [Zia Keyword Extraction](https://docs.catalyst.zoho.com/en/zia-services/help/text-analytics/introduction/) is a part of Text Analytics that processes textual content and extracts the highlights of the text. The extracted terms are grouped into two categories: **Keywords** and **Keyphrases**. These highlights deliver a concise summary of the text and provide an abstraction of the whole text. Keyword Extraction is a highly useful feature if you want to skim through long textual content and just obtain the essential information and action items from it. You will be able to identify the subject matter and the gist of the text easily from the response, and save valuable time. # Execute Keyword Extraction ### Description You can use this API to perform Keyword Extraction on a block of text of upto 1500 characters in a single request. You can pass the text in the JSON body of the request, as shown in the sample request. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/ml/text-analytics/keyword-extraction - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **content-type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.mlkit.READ #### Request JSON Properties - **document** (string array, mandatory): The text to be processed for Keyword Extraction ### Response Details The response contains an array of the key words, and another array of the key phrases that are extracted from the text. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/ml/text-analytics/keyword-extraction \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: application/json" \ -d '{ "document": "[Catalyst is a full-stack cloud-based serverless development tool, that provides backend functionalities to build applications and microservices on various platforms.]" }' ``` **Sample Response** ```json { "status": "success", "data": [ { "keyword_extractor": { "keywords": [ "microservices", "applications" ], "keyphrases": [ "backend functionalities", "various platforms" ] } }, { "keyword_extractor": { "keywords": [ "Catalyst" ], "keyphrases": [ "cloud-based serverless development tool" ] } } ] } ``` ### SDK Documentation [Text Analytics: Keyword Extraction- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/zia-services/text-analytics/keyword-extraction) [Text Analytics: Keyword Extraction- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/zia-services/text-analytics/keyword-extraction) [Text Analytics: Keyword Extraction- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/zia-services/text-analytics/keyword-extraction)